using Godot;

namespace Game;

[SceneTree]
public partial class CeoStatsContainer : FoldableContainer
{
    public override void _Ready()
    {
        EventBus.CeoChanged += UpdateCeoStats;
    }

    private void UpdateCeoStats(Ceo.CeoStats stats)
    {
        EnergyValue.Text = stats.Energy.ToString();
        InsanityValue.Text = stats.Insanity.ToString();
        CompetenceValue.Text = stats.Competence.ToString();
    }
}
